*:has(.account-menu-btn[aria-expanded='true']) {
    z-index: 100;
}

.cart-offcanvas .flashbags:has(:checked) .header-expertknowledge-submenu {
    grid-template-rows: 0px 1fr;
}


/* Always show a panel that has its radio selected */
.oc-panel:has(.oc-panel__category-input:checked) {
    transform: none !important;
    overflow-y: scroll;
}

/* first panel is selected (or no panel is selected */
.navigation-mobile:not(:has(.oc-panel__category-input:checked)) .oc-panel[data-level="2"],
.navigation-mobile:not(:has(.oc-panel__category-input:checked)) .oc-panel[data-level="3"],
.navigation-mobile:not(:has(.oc-panel__category-input:checked)) .oc-panel[data-level="4"],
.navigation-mobile:not(:has(.oc-panel__category-input:checked)) .oc-panel[data-level="5"] {
    transform: translateX(100%);
}

/* any 1st panel selected */
.navigation-mobile:has(.oc-panel[data-level="1"] .oc-panel__category-input:checked) .oc-panel[data-level="1"] {
    transform: translateX(-100%);
}
.navigation-mobile:has(.oc-panel[data-level="1"] .oc-panel__category-input:checked) .oc-panel[data-level="2"],
.navigation-mobile:has(.oc-panel[data-level="1"] .oc-panel__category-input:checked) .oc-panel[data-level="3"],
.navigation-mobile:has(.oc-panel[data-level="1"] .oc-panel__category-input:checked) .oc-panel[data-level="4"],
.navigation-mobile:has(.oc-panel[data-level="1"] .oc-panel__category-input:checked) .oc-panel[data-level="5"] {
    transform: translateX(100%);
}

/* any 2nd panel selected */
.navigation-mobile:has(.oc-panel[data-level="2"] .oc-panel__category-input:checked) .oc-panel[data-level="1"] {
    transform: translateX(-100%);
}
.navigation-mobile:has(.oc-panel[data-level="2"] .oc-panel__category-input:checked) .oc-panel[data-level="2"],
.navigation-mobile:has(.oc-panel[data-level="2"] .oc-panel__category-input:checked) .oc-panel[data-level="3"],
.navigation-mobile:has(.oc-panel[data-level="2"] .oc-panel__category-input:checked) .oc-panel[data-level="4"],
.navigation-mobile:has(.oc-panel[data-level="2"] .oc-panel__category-input:checked) .oc-panel[data-level="5"] {
    transform: translateX(100%);
}

/* any 3rd panel selected */
.navigation-mobile:has(.oc-panel[data-level="3"] .oc-panel__category-input:checked) .oc-panel[data-level="1"],
.navigation-mobile:has(.oc-panel[data-level="3"] .oc-panel__category-input:checked) .oc-panel[data-level="2"] {
    transform: translateX(-100%);
}
.navigation-mobile:has(.oc-panel[data-level="3"] .oc-panel__category-input:checked) .oc-panel[data-level="3"],
.navigation-mobile:has(.oc-panel[data-level="3"] .oc-panel__category-input:checked) .oc-panel[data-level="4"],
.navigation-mobile:has(.oc-panel[data-level="3"] .oc-panel__category-input:checked) .oc-panel[data-level="5"] {
    transform: translateX(100%);
}

/* any 4th panel selected */
.navigation-mobile:has(.oc-panel[data-level="4"] .oc-panel__category-input:checked) .oc-panel[data-level="1"],
.navigation-mobile:has(.oc-panel[data-level="4"] .oc-panel__category-input:checked) .oc-panel[data-level="2"],
.navigation-mobile:has(.oc-panel[data-level="4"] .oc-panel__category-input:checked) .oc-panel[data-level="3"] {
    transform: translateX(-100%);
}
.navigation-mobile:has(.oc-panel[data-level="4"] .oc-panel__category-input:checked) .oc-panel[data-level="4"],
.navigation-mobile:has(.oc-panel[data-level="4"] .oc-panel__category-input:checked) .oc-panel[data-level="5"] {
    transform: translateX(100%);
}

[data-moorl-fb-form] [data-moorl-fb-text]:has([name="productNumber"]),
[data-moorl-fb-form] [data-moorl-fb-text]:has([name="productName"]) {
    display: none;
}


.image-responsive {
    display: none
}

:has(>.image-responsive) {
    container-type: inline-size
}

@container (min-width: 0px) and (max-width: 50px) {
    :has(>.image-responsive) .image-responsive.image-responsive__50 {
        display: block
    }
}

@container (min-width: 51px) and (max-width: 100px) {
    :has(>.image-responsive) .image-responsive.image-responsive__100 {
        display: block
    }
}

@container (min-width: 101px) and (max-width: 200px) {
    :has(>.image-responsive) .image-responsive.image-responsive__200 {
        display: block
    }
}

@container (min-width: 201px) and (max-width: 400px) {
    :has(>.image-responsive) .image-responsive.image-responsive__400 {
        display: block
    }
}

@container (min-width: 401px) and (max-width: 800px) {
    :has(>.image-responsive) .image-responsive.image-responsive__800 {
        display: block
    }
}

@container (min-width: 801px) and (max-width: 1000px) {
    :has(>.image-responsive) .image-responsive.image-responsive__1000 {
        display: block
    }
}

@container (min-width: 1001px) and (max-width: 1400px) {
    :has(>.image-responsive) .image-responsive.image-responsive__1400 {
        display: block
    }
}

@container (min-width: 1401px) and (max-width: 2000px) {
    :has(>.image-responsive) .image-responsive.image-responsive__2000 {
        display: block
    }
}

@container (min-width: 2001px) and (max-width: 4000px) {
    :has(>.image-responsive) .image-responsive.image-responsive__4000 {
        display: block
    }
}